// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.Any;

import java.io.FileNotFoundException;
import java.io.IOException;

public interface IOManager {

	// accessing
	public AnySoup getSoup();
	public int getNextId();
	
	// setting
	public void setSoup(AnySoup soup);
	
	// IO
	public void store(AnyString fileName) throws IOException;
	public void load(AnyString fileName) throws FileNotFoundException, IOException;
	public void storeMetaInformation(AnyString fileName) throws IOException;
	public void loadMetaInformation(AnyString fileName) throws FileNotFoundException,IOException;
	
}
