// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

public class AnyClassCastException extends ClassCastException {

	// instance variables
	
	public String from;
	public String to;


	// constructors
	
	public AnyClassCastException(String s) {
		super(s);
	}
	
	public AnyClassCastException(String from, String to) {
		super("A " + from + " cannot be casted into a " + to);
		this.from = from;
		this.to = to;
	}
	
}
