// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import Geo.Framework.Any.AnyString;



public class AnyNumberFormatException extends NumberFormatException {

	// instance variables
	
	public String invalidString;


	// constructors
	
	public AnyNumberFormatException(AnyString anAnyString) {
		super("\"" + anAnyString.asString() + "\"can not be converted into an integer");
		this.invalidString = anAnyString.asString();
	}
	
	public AnyNumberFormatException(String s) {
		super(s);
	}
	
}
