// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import Geo.Framework.Any.AnyContext;



public class AnyTypeException extends RuntimeException {

	// instance variables
	
	public String typeName;
	public AnyContext context;


	// constructors
	
	public AnyTypeException(String s) {
		super(s);
	}
	
	public AnyTypeException(String typeName, AnyContext context) {
		super("No frame descriptor for type \"" + typeName + "\" ");
		this.typeName = typeName;
		this.context = context;
	}
	
}
